%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%if %($(pkg-config emacs) ; echo $?)
%define emacs_version 22.1
%define emacs_lispdir %{_datadir}/emacs/site-lisp
%define emacs_startdir %{_datadir}/emacs/site-lisp/site-start.d
%else
%define emacs_version %(pkg-config emacs --modversion)
%define emacs_lispdir %(pkg-config emacs --variable sitepkglispdir)
%define emacs_startdir %(pkg-config emacs --variable sitestartdir)
%endif

Name:           Pyrex
Version:        0.9.8.4
Release:        4.1%{?dist}
Epoch:          0
BuildArch:      noarch
Summary:        A compiler/language for writing Python extension modules
Group:          Development/Languages
License:        Public Domain
URL:            http://www.cosc.canterbury.ac.nz/~greg/python/Pyrex/
Source0:        http://www.cosc.canterbury.ac.nz/~greg/python/Pyrex/Pyrex-%{version}.tar.gz
Source1:        pyrex-mode-init.el

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pkgconfig
BuildRequires:  python-devel
BuildRequires:  dos2unix
BuildRequires:  findutils
BuildRequires:  emacs emacs-el

Requires:       python-devel

%description
Pyrex is Python with C types.  It is specially designed to allow you to
write extension modules for Python that have the speed of C and the
simplicity and readability of Python.  You write your code in a Python-like
language with C-typed variables, then use the pyrexc compiler to transform
it into a C representation.  This is useful for speeding up critical sections
of your Python code or wrapping an external library.

Please see the documentation for how to get the best performance from your
code.

%package -n emacs-pyrex
Summary: Pyrex editing mode for Emacs
Group: Applications/Editors
BuildArch: noarch
Requires: emacs(bin) >= %{emacs_version}


%description -n emacs-pyrex
An emacs mode for editing Pyrex source code, supporting the variations in
syntax as it differs from Python.

%prep
%setup -q

%build
python setup.py build

# Remove some Macintosh-isms
find . -name '.DS_Store' -exec rm -f \{\} \;
dos2unix -k -c mac CHANGES.txt ToDo.txt  Demos/Makefile.nodistutils Tools/*
find Doc -type f | xargs dos2unix -k -c mac

# Compile emacs module
emacs -batch -f batch-byte-compile Tools/*.el

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --skip-build --root $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{emacs_lispdir}
mkdir -p $RPM_BUILD_ROOT/%{emacs_startdir}
cp -p Tools/pyrex-mode.* $RPM_BUILD_ROOT/%{emacs_lispdir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT/%{emacs_startdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc USAGE.txt README.txt CHANGES.txt ToDo.txt Demos Doc
%{python_sitelib}/Pyrex*
%exclude %{python_sitelib}/Pyrex/Mac
%{_bindir}/pyrexc

%files -n emacs-pyrex
%defattr(-,root,root,-)
%{emacs_lispdir}/*



%changelog

